Axis.TickMark (JavaFX 25)
Description: declaration: module: javafx.controls, package: javafx.scene.chart, class: Axis, class: TickMark

# Class Axis.TickMark<T>

java.lang.Object
javafx.scene.chart.Axis.TickMark<T>

Type Parameters:
  `T` - the axis data type

Enclosing class:
  `Axis<T>`

public static final class Axis.TickMark<T> extends Object
TickMark represents the label text, its associated properties for each tick along the Axis.

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final StringExpression`
  `label`
  The display text for tick mark
  `final DoubleExpression`
  `position`
  The display position along the axis from axis origin in display units
  `final ObjectExpression<T>`
  `value`
  The value for this tick mark in data units

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TickMark()`
  Creates and initializes an instance of TickMark.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getLabel()`
  Gets the value of the `label` property.
  `final double`
  `getPosition()`
  Gets the value of the `position` property.
  `final T`
  `getValue()`
  Gets the value of the `value` property.
  `final boolean`
  `isTextVisible()`
  Indicates whether this tick mark label text is displayed or not.
  `final StringExpression`
  `labelProperty()`
  The display text for tick mark
  `final DoubleExpression`
  `positionProperty()`
  The display position along the axis from axis origin in display units
  `final void`
  `setLabel(String value)`
  Sets the value of the `label` property.
  `final void`
  `setPosition(double value)`
  Sets the value of the `position` property.
  `final void`
  `setTextVisible(boolean value)`
  Specifies whether this tick mark label text is displayed or not.
  `final void`
  `setValue(T v)`
  Sets the value of the `value` property.
  `String`
  `toString()`
  Returns a string representation of this `TickMark` object.
  `final ObjectExpression<T>`
  `valueProperty()`
  The value for this tick mark in data units

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Property Details

  - ### label

    public final StringExpression labelProperty
    The display text for tick mark
    See Also:
      - `getLabel()`
      - `setLabel(String)`
      - `labelProperty()`

  - ### value

    public final ObjectExpression<T> valueProperty
    The value for this tick mark in data units
    See Also:
      - `getValue()`
      - `setValue(T)`
      - `valueProperty()`

  - ### position

    public final DoubleExpression positionProperty
    The display position along the axis from axis origin in display units
    See Also:
      - `getPosition()`
      - `setPosition(double)`
      - `positionProperty()`

- ## Constructor Details

  - ### TickMark

    public TickMark()
    Creates and initializes an instance of TickMark.

- ## Method Details

  - ### getLabel

    public final String getLabel()
    Gets the value of the `label` property.
    Property description:
      The display text for tick mark
    Returns:
      the value of the `label` property
    See Also:
      - `setLabel(String)`
      - `labelProperty()`

  - ### setLabel

    public final void setLabel(String value)
    Sets the value of the `label` property.
    Property description:
      The display text for tick mark
    Parameters:
      `value` - the value for the `label` property
    See Also:
      - `getLabel()`
      - `labelProperty()`

  - ### labelProperty

    public final StringExpression labelProperty()
    The display text for tick mark
    Returns:
      the `label` property
    See Also:
      - `getLabel()`
      - `setLabel(String)`

  - ### getValue

    public final T getValue()
    Gets the value of the `value` property.
    Property description:
      The value for this tick mark in data units
    Returns:
      the value of the `value` property
    See Also:
      - `setValue(T)`
      - `valueProperty()`

  - ### setValue

    public final void setValue(T v)
    Sets the value of the `value` property.
    Property description:
      The value for this tick mark in data units
    Parameters:
      `v` - the value for the `value` property
    See Also:
      - `getValue()`
      - `valueProperty()`

  - ### valueProperty

    public final ObjectExpression<T> valueProperty()
    The value for this tick mark in data units
    Returns:
      the `value` property
    See Also:
      - `getValue()`
      - `setValue(T)`

  - ### getPosition

    public final double getPosition()
    Gets the value of the `position` property.
    Property description:
      The display position along the axis from axis origin in display units
    Returns:
      the value of the `position` property
    See Also:
      - `setPosition(double)`
      - `positionProperty()`

  - ### setPosition

    public final void setPosition(double value)
    Sets the value of the `position` property.
    Property description:
      The display position along the axis from axis origin in display units
    Parameters:
      `value` - the value for the `position` property
    See Also:
      - `getPosition()`
      - `positionProperty()`

  - ### positionProperty

    public final DoubleExpression positionProperty()
    The display position along the axis from axis origin in display units
    Returns:
      the `position` property
    See Also:
      - `getPosition()`
      - `setPosition(double)`

  - ### isTextVisible

    public final boolean isTextVisible()
    Indicates whether this tick mark label text is displayed or not.
    Returns:
      true if tick mark label text is visible and false otherwise

  - ### setTextVisible

    public final void setTextVisible(boolean value)
    Specifies whether this tick mark label text is displayed or not.
    Parameters:
      `value` - true if tick mark label text is visible and false otherwise

  - ### toString

    public String toString()
    Returns a string representation of this `TickMark` object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `TickMark` object.